SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
SLNet::RakNetSmartPtr< T > Class Template Reference

`#include <slikenet/smartptr.h>`

## Public Member Functions

| RakNetSmartPtr ()
| RakNetSmartPtr (T *pValue)
| RakNetSmartPtr (const RakNetSmartPtr< T > &sp)
| ~RakNetSmartPtr ()
bool | IsNull (void) const
void | SetNull (void)
bool | IsUnique (void) const
void | Clone (bool copyContents)
int | GetRefCount (void) const
T & | operator* ()
const T & | operator* () const
T * | operator-> ()
const T * | operator-> () const
bool | operator== (const RakNetSmartPtr< T > &sp)
bool | operator< (const RakNetSmartPtr< T > &right)
bool | operator> (const RakNetSmartPtr< T > &right)
bool | operator!= (const RakNetSmartPtr< T > &sp)
RakNetSmartPtr< T > & | operator= (const RakNetSmartPtr< T > &sp)

## Detailed Description

### template<typename T>
class SLNet::RakNetSmartPtr< T >

Definition at line 44 of file smartptr.h.

## Constructor & Destructor Documentation

template<typename T>

SLNet::RakNetSmartPtr< T >::RakNetSmartPtr | ( |  | ) |

inline

Definition at line 51 of file smartptr.h.

template<typename T>

SLNet::RakNetSmartPtr< T >::RakNetSmartPtr | ( | T * | pValue | ) |

inline

Definition at line 56 of file smartptr.h.

References _FILE_AND_LINE_.

template<typename T>

SLNet::RakNetSmartPtr< T >::RakNetSmartPtr | ( | const RakNetSmartPtr< T > & | sp | ) |

inline

Definition at line 65 of file smartptr.h.

template<typename T>

SLNet::RakNetSmartPtr< T >::~RakNetSmartPtr | ( |  | ) |

inline

Definition at line 71 of file smartptr.h.

References _FILE_AND_LINE_, and SLNet::OP_DELETE().

## Member Function Documentation

template<typename T>

void SLNet::RakNetSmartPtr< T >::Clone | ( | bool | copyContents | ) |

inline

Definition at line 108 of file smartptr.h.

References _FILE_AND_LINE_.

template<typename T>

int SLNet::RakNetSmartPtr< T >::GetRefCount | ( | void |  | ) | const

inline

Definition at line 123 of file smartptr.h.

template<typename T>

bool SLNet::RakNetSmartPtr< T >::IsNull | ( | void |  | ) | const

inline

Definition at line 83 of file smartptr.h.

template<typename T>

bool SLNet::RakNetSmartPtr< T >::IsUnique | ( | void |  | ) | const

inline

Definition at line 102 of file smartptr.h.

template<typename T>

bool SLNet::RakNetSmartPtr< T >::operator!= | ( | const RakNetSmartPtr< T > & | sp | ) |

inline

Definition at line 155 of file smartptr.h.

template<typename T>

T& SLNet::RakNetSmartPtr< T >::operator* | ( |  | ) |

inline

Definition at line 128 of file smartptr.h.

template<typename T>

const T& SLNet::RakNetSmartPtr< T >::operator* | ( |  | ) | const

inline

Definition at line 133 of file smartptr.h.

template<typename T>

T* SLNet::RakNetSmartPtr< T >::operator-> | ( |  | ) |

inline

Definition at line 138 of file smartptr.h.

template<typename T>

const T* SLNet::RakNetSmartPtr< T >::operator-> | ( |  | ) | const

inline

Definition at line 143 of file smartptr.h.

template<typename T>

bool SLNet::RakNetSmartPtr< T >::operator< | ( | const RakNetSmartPtr< T > & | right | ) |

inline

Definition at line 152 of file smartptr.h.

template<typename T>

RakNetSmartPtr<T>& SLNet::RakNetSmartPtr< T >::operator= | ( | const RakNetSmartPtr< T > & | sp | ) |

inline

Definition at line 160 of file smartptr.h.

References _FILE_AND_LINE_, and SLNet::OP_DELETE().

template<typename T>

bool SLNet::RakNetSmartPtr< T >::operator== | ( | const RakNetSmartPtr< T > & | sp | ) |

inline

Definition at line 148 of file smartptr.h.

template<typename T>

bool SLNet::RakNetSmartPtr< T >::operator> | ( | const RakNetSmartPtr< T > & | right | ) |

inline

Definition at line 153 of file smartptr.h.

template<typename T>

void SLNet::RakNetSmartPtr< T >::SetNull | ( | void |  | ) |

inline

Definition at line 88 of file smartptr.h.

References _FILE_AND_LINE_, and SLNet::OP_DELETE().

The documentation for this class was generated from the following file:

- Source/include/slikenet/smartptr.h